import { z } from "zod";
import { schemaRawAccount } from "../../accounts";
const schemaAccountRequestParams = z.object({
    currencyIds: z.array(z.string()).optional(),
    showAccountFilter: z.boolean().optional(),
    drawerConfiguration: z
        .object({
        assets: z
            .object({
            filter: z.string().optional(),
            leftElement: z.string().optional(),
            rightElement: z.string().optional(),
        })
            .optional(),
        networks: z
            .object({
            leftElement: z.string().optional(),
            rightElement: z.string().optional(),
        })
            .optional(),
    })
        .optional(),
});
const schemaAccountRequestResults = z.object({
    rawAccount: schemaRawAccount,
});
export const schemaAccountRequest = {
    params: schemaAccountRequestParams,
    result: schemaAccountRequestResults,
};
//# sourceMappingURL=AccountRequest.js.map